KeelsonDocs
    Judge Mode

    API reference Operators

    Registration file of an agent

    GET/v1/operators/{chainId}/{agentId}/registration.json

    The ERC-8004 registration file of the agent's current owner, listing every linked agent it owns.

    Path parameters

    chainId42161Required
    An EIP-155 chain id.
    agentIdstringRequired
    The ERC-8004 agent id, a decimal integer.

    Responses

    • 200The registration file
    • 404Not a linked agent
    • 503The chain cannot be read

    200 response

    typestringRequired
    namestringRequired
    descriptionstringRequired
    imagestringRequired
    servicesarray of objectRequired
    x402SupportbooleanRequired
    activebooleanRequired
    registrationsarray of objectRequired
    supportedTrustarray of string